package com.goldencode.hotel.ui;

import com.goldencode.p2j.util.*;
import com.goldencode.p2j.ui.*;

public interface RatesFRates
extends CommonFrame
{
   public static final Class configClass = RatesFRatesDef.class;

   public BrowseWidget widgetBrws();

   public BrowseColumnWidget widgetBrwsFloorColumn();

   public BrowseColumnWidget widgetBrwsNameColumn();

   public BrowseColumnWidget widgetBrwsStartDateColumn();

   public BrowseColumnWidget widgetBrwsEndDateColumn();

   public BrowseColumnWidget widgetBrwsRateColumn();

   public static class RatesFRatesDef
   extends WidgetList
   {
      BrowseWidget brws = new BrowseWidget();

      BrowseColumnWidget brwsFloorColumn = new BrowseColumnWidget();

      BrowseColumnWidget brwsNameColumn = new BrowseColumnWidget();

      BrowseColumnWidget brwsStartDateColumn = new BrowseColumnWidget();

      BrowseColumnWidget brwsEndDateColumn = new BrowseColumnWidget();

      BrowseColumnWidget brwsRateColumn = new BrowseColumnWidget();

      public void setup(CommonFrame frame)
      {
         frame.setDown(1);
         frame.setWidthChars(80);
         frame.setHeightChars(20);
         frame.setRow(2);
         frame.setColumn(1);
         frame.setNoBox(true);
         brws.setDown(16);
         brws.addColumn(brwsFloorColumn);
         brwsFloorColumn.setDataType("integer");
         brwsFloorColumn.setFormat(">>9");
         brwsFloorColumn.setLabel("Floor");
         brwsFloorColumn.setColumnLabel("Floor");
         brws.addColumn(brwsNameColumn);
         brwsNameColumn.setDataType("character");
         brwsNameColumn.setFormat("x(20)");
         brwsNameColumn.setLabel("Room Type");
         brws.addColumn(brwsStartDateColumn);
         brwsStartDateColumn.setDataType("date");
         brwsStartDateColumn.setFormat("99/99/99");
         brwsStartDateColumn.setLabel("From Date");
         brwsStartDateColumn.setColumnLabel("From Date");
         brws.addColumn(brwsEndDateColumn);
         brwsEndDateColumn.setDataType("date");
         brwsEndDateColumn.setFormat("99/99/99");
         brwsEndDateColumn.setLabel("To Date");
         brwsEndDateColumn.setColumnLabel("To Date");
         brws.addColumn(brwsRateColumn);
         brwsRateColumn.setDataType("decimal");
         brwsRateColumn.setFormat("$>>>,>>9.99");
         brwsRateColumn.setLabel("Rate");
         brwsRateColumn.setColumnLabel("Rate");
      }

      {
         addWidget("brws", "brws", brws);
         addWidget("brwsFloorColumn", "floor", brwsFloorColumn);
         addWidget("brwsNameColumn", "name", brwsNameColumn);
         addWidget("brwsStartDateColumn", "start-date", brwsStartDateColumn);
         addWidget("brwsEndDateColumn", "end-date", brwsEndDateColumn);
         addWidget("brwsRateColumn", "rate", brwsRateColumn);
      }
   }
}
