package com.goldencode.hotel.ui;

import com.goldencode.p2j.util.*;
import com.goldencode.p2j.ui.*;

public interface RatesFURate
extends CommonFrame
{
   public static final Class configClass = RatesFURateDef.class;

   public integer getFloor();

   public void setFloor(integer parm);

   public void setFloor(int parm);

   public void setFloor(BaseDataType parm);

   public FillInWidget widgetFloor();

   public character getName();

   public void setName(character parm);

   public void setName(String parm);

   public void setName(BaseDataType parm);

   public FillInWidget widgetName();

   public date getRSDate();

   public void setRSDate(date parm);

   public void setRSDate(BaseDataType parm);

   public FillInWidget widgetRSDate();

   public date getREDate();

   public void setREDate(date parm);

   public void setREDate(BaseDataType parm);

   public FillInWidget widgetREDate();

   public decimal getRRate();

   public void setRRate(decimal parm);

   public void setRRate(double parm);

   public void setRRate(BaseDataType parm);

   public FillInWidget widgetRRate();

   public static class RatesFURateDef
   extends WidgetList
   {
      FillInWidget floor = new FillInWidget();

      SkipEntity expr5 = new SkipEntity();

      FillInWidget name = new FillInWidget();

      SkipEntity expr7 = new SkipEntity();

      FillInWidget rSDate = new FillInWidget();

      SkipEntity expr9 = new SkipEntity();

      FillInWidget rEDate = new FillInWidget();

      SkipEntity expr11 = new SkipEntity();

      FillInWidget rRate = new FillInWidget();

      SkipEntity expr13 = new SkipEntity();

      public void setup(CommonFrame frame)
      {
         frame.setDown(1);
         frame.setDialogBox(true);
         frame.setTitle("Enter rate interval");
         frame.setCentered(true);
         frame.setSideLabels(true);
         floor.setTable("t-floor");
         floor.setDataType("integer");
         expr5.setVertical(true);
         expr5.setHeight(0);
         name.setTable("t-room-type");
         name.setDataType("character");
         expr7.setVertical(true);
         expr7.setHeight(0);
         rSDate.setDataType("date");
         expr9.setVertical(true);
         expr9.setHeight(0);
         rEDate.setDataType("date");
         expr11.setVertical(true);
         expr11.setHeight(0);
         rRate.setDataType("decimal");
         expr13.setVertical(true);
         expr13.setHeight(0);
         floor.setTable("t-floor");
         name.setTable("t-room-type");
         floor.setTable("t-floor");
         name.setTable("t-room-type");
         floor.setTable("t-floor");
         name.setTable("t-room-type");
         rEDate.setFormat("99/99/99");
         rEDate.setLabel("To Date");
         rEDate.setColumnLabel("To Date");
         rSDate.setFormat("99/99/99");
         rSDate.setLabel("From Date");
         rSDate.setColumnLabel("From Date");
         name.setFormat("x(20)");
         name.setLabel("Room Type");
         floor.setFormat(">>9");
         floor.setLabel("Floor");
         floor.setColumnLabel("Floor");
         rRate.setFormat("->>,>>9.99");
         rRate.setLabel("Rate");
         rRate.setColumnLabel("Rate");
      }

      {
         addWidget("floor", "floor", floor);
         addWidget("expr5", "", expr5);
         addWidget("name", "name", name);
         addWidget("expr7", "", expr7);
         addWidget("rSDate", "r-s-date", rSDate);
         addWidget("expr9", "", expr9);
         addWidget("rEDate", "r-e-date", rEDate);
         addWidget("expr11", "", expr11);
         addWidget("rRate", "r-rate", rRate);
         addWidget("expr13", "", expr13);
      }
   }
}
