package com.goldencode.hotel.ui;

import com.goldencode.p2j.util.*;
import com.goldencode.p2j.ui.*;

public interface ReservationsChooseGuestFSearch
extends CommonFrame
{
   public static final Class configClass = ReservationsChooseGuestFSearchDef.class;

   public character getGFN();

   public void setGFN(character parm);

   public void setGFN(String parm);

   public void setGFN(BaseDataType parm);

   public FillInWidget widgetGFN();

   public character getGLN();

   public void setGLN(character parm);

   public void setGLN(String parm);

   public void setGLN(BaseDataType parm);

   public FillInWidget widgetGLN();

   public date getGDob();

   public void setGDob(date parm);

   public void setGDob(BaseDataType parm);

   public FillInWidget widgetGDob();

   public ButtonWidget widgetBtnOk();

   public ButtonWidget widgetBtnCancel();

   public static class ReservationsChooseGuestFSearchDef
   extends WidgetList
   {
      FillInWidget gFN = new FillInWidget();

      SkipEntity expr47 = new SkipEntity();

      FillInWidget gLN = new FillInWidget();

      SkipEntity expr49 = new SkipEntity();

      FillInWidget gDob = new FillInWidget();

      SkipEntity expr51 = new SkipEntity();

      ButtonWidget btnOk = new ButtonWidget();

      ButtonWidget btnCancel = new ButtonWidget();

      public void setup(CommonFrame frame)
      {
         frame.setDown(1);
         frame.setSideLabels(true);
         frame.setOverlay(true);
         frame.setRow(2);
         frame.setColumn(1);
         frame.setTitle("Find Guest");
         frame.setCancelButtonOption(btnCancel);
         frame.setDefaultButtonOption(btnOk);
         gFN.setDataType("character");
         expr47.setVertical(true);
         expr47.setHeight(0);
         gLN.setDataType("character");
         expr49.setVertical(true);
         expr49.setHeight(0);
         gDob.setDataType("date");
         expr51.setVertical(true);
         expr51.setHeight(0);
         btnCancel.setLabel("Cancel");
         btnOk.setLabel("Find");
         gLN.setFormat("x(25)");
         gLN.setLabel("Last Name");
         gLN.setColumnLabel("Last Name");
         gFN.setFormat("x(25)");
         gFN.setLabel("First Name");
         gFN.setColumnLabel("First Name");
         gDob.setFormat("99/99/99");
         gDob.setLabel("Date of Birth");
         gDob.setColumnLabel("Date of Birth");
      }

      {
         addWidget("gFN", "g-f-n", gFN);
         addWidget("expr47", "", expr47);
         addWidget("gLN", "g-l-n", gLN);
         addWidget("expr49", "", expr49);
         addWidget("gDob", "g-dob", gDob);
         addWidget("expr51", "", expr51);
         addWidget("btnOk", "btn-ok", btnOk);
         addWidget("btnCancel", "btn-cancel", btnCancel);
      }
   }
}
