package com.goldencode.hotel.ui;

import com.goldencode.p2j.util.*;
import com.goldencode.p2j.ui.*;

public interface RoomsAddF1
extends CommonFrame
{
   public static final Class configClass = RoomsAddF1Def.class;

   public integer getCurrentFloorNo();

   public void setCurrentFloorNo(integer parm);

   public void setCurrentFloorNo(int parm);

   public void setCurrentFloorNo(BaseDataType parm);

   public FillInWidget widgetCurrentFloorNo();

   public integer getStartNo();

   public void setStartNo(integer parm);

   public void setStartNo(int parm);

   public void setStartNo(BaseDataType parm);

   public FillInWidget widgetStartNo();

   public integer getEndNo();

   public void setEndNo(integer parm);

   public void setEndNo(int parm);

   public void setEndNo(BaseDataType parm);

   public FillInWidget widgetEndNo();

   public integer getRoomType();

   public void setRoomType(integer parm);

   public void setRoomType(int parm);

   public void setRoomType(BaseDataType parm);

   public ComboBoxWidget widgetRoomType();

   public ButtonWidget widgetBtnOk();

   public ButtonWidget widgetBtnCancel();

   public static class RoomsAddF1Def
   extends WidgetList
   {
      FillInWidget currentFloorNo = new FillInWidget();

      SkipEntity expr2 = new SkipEntity();

      FillInWidget startNo = new FillInWidget();

      SkipEntity expr4 = new SkipEntity();

      FillInWidget endNo = new FillInWidget();

      SkipEntity expr6 = new SkipEntity();

      ComboBoxWidget roomType = new ComboBoxWidget();

      SkipEntity expr8 = new SkipEntity();

      ButtonWidget btnOk = new ButtonWidget();

      ButtonWidget btnCancel = new ButtonWidget();

      public void setup(CommonFrame frame)
      {
         frame.setDown(1);
         frame.setSideLabels(true);
         frame.setOverlay(true);
         frame.setCentered(true);
         frame.setDialogBox(true);
         frame.setCancelButtonOption(btnCancel);
         frame.setDefaultButtonOption(btnOk);
         currentFloorNo.setDataType("integer");
         currentFloorNo.setForceLabel(true);
         currentFloorNo.setLabel("Enter floor no");
         currentFloorNo.setRow(1);
         currentFloorNo.setColumn(20);
         currentFloorNo.setAlign(ControlEntity.ALIGN_COLON);
         expr2.setVertical(true);
         expr2.setHeight(0);
         startNo.setDataType("integer");
         startNo.setForceLabel(true);
         startNo.setLabel("First room");
         startNo.setRow(2);
         startNo.setColumn(20);
         startNo.setAlign(ControlEntity.ALIGN_COLON);
         expr4.setVertical(true);
         expr4.setHeight(0);
         endNo.setDataType("integer");
         endNo.setForceLabel(true);
         endNo.setLabel("Last room");
         endNo.setRow(3);
         endNo.setColumn(20);
         endNo.setAlign(ControlEntity.ALIGN_COLON);
         expr6.setVertical(true);
         expr6.setHeight(0);
         roomType.setDataType("integer");
         roomType.setInitialInnerLines(5);
         roomType.setForceLabel(true);
         roomType.setLabel("Room type");
         roomType.setRow(4);
         roomType.setColumn(20);
         roomType.setAlign(ControlEntity.ALIGN_COLON);
         expr8.setVertical(true);
         expr8.setHeight(0);
         btnCancel.setLabel("Cancel");
         btnOk.setLabel("Add");
      }

      {
         addWidget("currentFloorNo", "current-floor-no", currentFloorNo);
         addWidget("expr2", "", expr2);
         addWidget("startNo", "start-no", startNo);
         addWidget("expr4", "", expr4);
         addWidget("endNo", "end-no", endNo);
         addWidget("expr6", "", expr6);
         addWidget("roomType", "room-type", roomType);
         addWidget("expr8", "", expr8);
         addWidget("btnOk", "btn-ok", btnOk);
         addWidget("btnCancel", "btn-cancel", btnCancel);
      }
   }
}
