package com.goldencode.hotel.ui;

import com.goldencode.p2j.util.*;
import com.goldencode.p2j.ui.*;

public interface GuestsFGuestSearch
extends CommonFrame
{
   public static final Class configClass = GuestsFGuestSearchDef.class;

   public character getGFN();

   public void setGFN(character parm);

   public void setGFN(String parm);

   public void setGFN(BaseDataType parm);

   public FillInWidget widgetGFN();

   public character getGLN();

   public void setGLN(character parm);

   public void setGLN(String parm);

   public void setGLN(BaseDataType parm);

   public FillInWidget widgetGLN();

   public date getGDob();

   public void setGDob(date parm);

   public void setGDob(BaseDataType parm);

   public FillInWidget widgetGDob();

   public ButtonWidget widgetBtnOk();

   public ButtonWidget widgetBtnCancel();

   public static class GuestsFGuestSearchDef
   extends WidgetList
   {
      FillInWidget gFN = new FillInWidget();

      SkipEntity expr38 = new SkipEntity();

      FillInWidget gLN = new FillInWidget();

      SkipEntity expr40 = new SkipEntity();

      FillInWidget gDob = new FillInWidget();

      SkipEntity expr42 = new SkipEntity();

      ButtonWidget btnOk = new ButtonWidget();

      ButtonWidget btnCancel = new ButtonWidget();

      public void setup(CommonFrame frame)
      {
         frame.setDown(1);
         frame.setSideLabels(true);
         frame.setOverlay(true);
         frame.setRow(2);
         frame.setColumn(1);
         frame.setTitle("Find Guest");
         frame.setCancelButtonOption(btnCancel);
         frame.setDefaultButtonOption(btnOk);
         gFN.setDataType("character");
         expr38.setVertical(true);
         expr38.setHeight(0);
         gLN.setDataType("character");
         expr40.setVertical(true);
         expr40.setHeight(0);
         gDob.setDataType("date");
         expr42.setVertical(true);
         expr42.setHeight(0);
         btnCancel.setLabel("Cancel");
         btnOk.setLabel("Find");
         gLN.setFormat("x(25)");
         gLN.setLabel("Last Name");
         gLN.setColumnLabel("Last Name");
         gFN.setFormat("x(25)");
         gFN.setLabel("First Name");
         gFN.setColumnLabel("First Name");
         gDob.setFormat("99/99/99");
         gDob.setLabel("Date of Birth");
         gDob.setColumnLabel("Date of Birth");
      }

      {
         addWidget("gFN", "g-f-n", gFN);
         addWidget("expr38", "", expr38);
         addWidget("gLN", "g-l-n", gLN);
         addWidget("expr40", "", expr40);
         addWidget("gDob", "g-dob", gDob);
         addWidget("expr42", "", expr42);
         addWidget("btnOk", "btn-ok", btnOk);
         addWidget("btnCancel", "btn-cancel", btnCancel);
      }
   }
}
