package com.goldencode.hotel.ui;

import com.goldencode.p2j.util.*;
import com.goldencode.p2j.ui.*;

public interface ReservationsFGuests
extends CommonFrame
{
   public static final Class configClass = ReservationsFGuestsDef.class;

   public BrowseWidget widgetBrwsGuest();

   public BrowseColumnWidget widgetBrwsGuestGuestIdColumn();

   public BrowseColumnWidget widgetBrwsGuestFirstNameColumn();

   public BrowseColumnWidget widgetBrwsGuestLastNameColumn();

   public BrowseColumnWidget widgetBrwsGuestDateOfBirthColumn();

   public static class ReservationsFGuestsDef
   extends WidgetList
   {
      BrowseWidget brwsGuest = new BrowseWidget();

      BrowseColumnWidget brwsGuestGuestIdColumn = new BrowseColumnWidget();

      BrowseColumnWidget brwsGuestFirstNameColumn = new BrowseColumnWidget();

      BrowseColumnWidget brwsGuestLastNameColumn = new BrowseColumnWidget();

      BrowseColumnWidget brwsGuestDateOfBirthColumn = new BrowseColumnWidget();

      public void setup(CommonFrame frame)
      {
         frame.setDown(1);
         frame.setNoBox(true);
         frame.setOverlay(true);
         frame.setCentered(true);
         frame.setWidthChars(80);
         frame.setHeightChars(9);
         brwsGuest.setDown(5);
         brwsGuest.setTitle("Choose Guest");
         brwsGuest.addColumn(brwsGuestGuestIdColumn);
         brwsGuestGuestIdColumn.setDataType("integer");
         brwsGuestGuestIdColumn.setFormat(">,>>>,>>9");
         brwsGuestGuestIdColumn.setLabel("Guest ID");
         brwsGuestGuestIdColumn.setColumnLabel("Guest ID");
         brwsGuest.addColumn(brwsGuestFirstNameColumn);
         brwsGuestFirstNameColumn.setDataType("character");
         brwsGuestFirstNameColumn.setFormat("x(25)");
         brwsGuestFirstNameColumn.setLabel("First Name");
         brwsGuestFirstNameColumn.setColumnLabel("First Name");
         brwsGuest.addColumn(brwsGuestLastNameColumn);
         brwsGuestLastNameColumn.setDataType("character");
         brwsGuestLastNameColumn.setFormat("x(25)");
         brwsGuestLastNameColumn.setLabel("Last Name");
         brwsGuestLastNameColumn.setColumnLabel("Last Name");
         brwsGuest.addColumn(brwsGuestDateOfBirthColumn);
         brwsGuestDateOfBirthColumn.setDataType("date");
         brwsGuestDateOfBirthColumn.setFormat("99/99/99");
         brwsGuestDateOfBirthColumn.setLabel("Date of Birth");
         brwsGuestDateOfBirthColumn.setColumnLabel("Date of Birth");
      }

      {
         addWidget("brwsGuest", "brws-guest", brwsGuest);
         addWidget("brwsGuestGuestIdColumn", "guest-id", brwsGuestGuestIdColumn);
         addWidget("brwsGuestFirstNameColumn", "first-name", brwsGuestFirstNameColumn);
         addWidget("brwsGuestLastNameColumn", "last-name", brwsGuestLastNameColumn);
         addWidget("brwsGuestDateOfBirthColumn", "date-of-birth", brwsGuestDateOfBirthColumn);
      }
   }
}
